AttachDhcpOptionsSetToSubnet

1. API Description

This API (AttachDhcpOptionsSetToSubnet) is used to associate a DHCP options set with subnets.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

dhcpOptionsSetId

Yes

String

DHCP options set ID.

subnetIds

Yes

Array of String

ID list of the subnets to be associated with the DHCP options set.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

failedSubnetIds

Array of String

A list of subnet IDs that failed to be operated.

4. Code Example

Associate a DHCP options set with subnets.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AttachDhcpOptionsSetToSubnet
<Common Request Params>

Request:
{
  "dhcpOptionsSetId": "dhcpOptionsSetId1",
  "subnetIds": [
    "subnetId1","subnetId2"
  ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedSubnetIds": []
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_DHCP_OPTIONS_SET_NOT_FOUND

The DHCP options set is not found.

404

INVALID_SUBNET_NOT_FOUND

Subnet does not exist.

Last updated